| Home | Libraries | People | FAQ | More

###### serializer::serializer (2 of 3 overloads)

Constructor.

###### Synopsis

    serializer(
        serialize_options const& opts = {});

###### Description

This constructs a serializer with no value. The value may be set later by calling `reset`. If serialization is attempted with no value, the output is as if a null value is serialized.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`opts` | The options for the serializer. If this parameter is omitted, the serializer will output only standard JSON.